Grand Master Tronix:
The orb of abyss is given only to those who have passed the Test of the Shillien Oracle. To take the Test of the Shillien Oracle, you should find Sorceress Sidra in the Dark Elven Guild of the town of Gludio. As you well know, the town of Gludio is to the northwest. Of course, using a Gatekeeper is the easiest way to get there. The Dark Elven Guild is in the northeastern part of the village.
Return